%define _requires_exceptions pear(EventGenerator.config.php)\\|pear(bugconfig.php)

Summary:	GTK+2 toolkit for php
Name:		php-gtk2
Version:	2.0.1
Release:	%mkrel 12
Group:		Development/PHP
License:	LGPL
URL:		http://gtk.php.net/
Source0:	http://gtk.php.net/distributions/php-gtk-%{version}.tar.gz
Patch0:		php-gtk-bug35406.diff
Patch1:		php-gtk-2.0.1-format_not_a_string_literal_and_no_format_arguments.diff
# PHP5.3 fix, see http://bugs.php.net/bug.php?id=45839
Patch2:		php-gtk-php53.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	glib2-devel >= 2.6.0
BuildRequires:	gtk+2-devel >= 2.6.9
BuildRequires:	libpango-devel >= 1.8.0
BuildRequires:	php-mbstring
#BuildRequires:	libglade2.0-devel >= 2.4.0
BuildRequires:	php-cli >= 3:5.2.0
Requires:	php-cli >= 3:5.2.0
Conflicts:	apache-mod_php
Epoch:		2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PHP-GTK is an extension for PHP programming language that implements language
bindings for GTK+ toolkit. It provides an object-oriented interface to GTK+
classes and functions and greatly simplifies writing client side cross-platform
GUI applications.

%prep

%setup -q -n php-gtk-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
%serverbuild

./buildconf

%configure2_5x \
    --with-libdir=%{_lib}
#    --disable-libglade

# We use our own libtool, and apply some fixes
%{__rm} libtool
ln -s %{_bindir}/libtool libtool

sed -i.orig 's/compile $(CC)/compile --tag=CC $(CC)/g' Makefile
sed -i.orig 's/link $(CC)/link --tag=CC $(CC)/g' Makefile

# Simple fixes for the Zend framework since the ZEND functions are static in PHP5
sed -i.orig 's/^static$//g' ext/gtk+/gen_atk.c
sed -i.orig 's/^static$//g' ext/gtk+/gen_pango.c
sed -i.orig 's/^static$//g' ext/gtk+/gen_gdk.c
sed -i.orig 's/^static$//g' ext/gtk+/gen_gtk.c
sed -i.orig 's/^static$//g' ext/libglade/gen_libglade.c
sed -i.orig 's/^static$//g' main/phpg_gobject.c

make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/php_gtk2.so %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/60_php-gtk2.ini << EOF

extension = php_gtk2.so

[php-gtk]

;php-gtk.codepage = iso-8859-1
;php-gtk.extensions = 

EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc demos test AUTHORS ChangeLog NEWS README* TODO2
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/*
%{_libdir}/php/extensions/php_gtk2.so


%changelog
* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-12mdv2010.0
+ Revision: 451276
- rebuild

* Mon Sep 28 2009 Stéphane Téletchéa <steletch@mandriva.org> 2:2.0.1-11mdv2010.0
+ Revision: 450625
- no BR on php-sqlite since it is bundled by default in php 5.3
- Rebuild against 5.3.1RC1
- Remove libglade configure option as it is not recognised
- Add missing BR

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-6mdv2009.1
+ Revision: 346475
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-5mdv2009.1
+ Revision: 341753
- rebuilt against php-5.2.9RC2

* Sun Jan 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-4mdv2009.1
+ Revision: 324395
- fix build with -Werror=format-security

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-3mdv2009.1
+ Revision: 310272
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-2mdv2009.0
+ Revision: 238399
- rebuild

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.1-1mdv2009.0
+ Revision: 209367
- 2.0.1
- make it conflict with apache-mod_php (http://gtk.php.net/faq.php#2)

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.beta.5mdv2008.1
+ Revision: 162226
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.beta.4mdv2008.1
+ Revision: 107641
- restart apache if needed

* Thu Nov 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.beta.3mdv2008.1
+ Revision: 106870
- fix #35406 (php-gtk2 example files link to wrong module)

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.beta.2mdv2008.0
+ Revision: 77546
- rebuilt against php-5.2.4

* Fri Jul 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.beta.1mdv2008.0
+ Revision: 51852
- 2.0.0beta
- use the %%serverbuild macro

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.alpha.6mdv2008.0
+ Revision: 39498
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.alpha.5mdv2008.0
+ Revision: 33809
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.alpha.4mdv2008.0
+ Revision: 21331
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1.alpha.3mdv2007.0
+ Revision: 117586
- rebuilt against new upstream version (5.2.1)

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-1.alpha.2mdv2007.1
+ Revision: 85472
- rebuild
- rebuild
- use the official release for php-5.2.0
- rebuild
- rebuild
- rebuilt for php-5.2.0
- Import php-gtk2

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.0-0.20051124.1
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-1.20051124.4mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20051124.4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051124.3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051124.2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.20051124.1mdk
- new snap (20051124)
- drop upstream patch P0
- rebuilt against php-5.1.0
- fix versioning

* Mon Oct 03 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_2.0.0-0.20050921.2mdk
- filter out some pear stuff

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_2.0.0-0.20050921.1mdk
- initial Mandriav package

